Notus API
Blockchain

List Tokens

This endpoint lists all tokens whitelisted in the project by default, or all tokens Notus API supports with a flag.

GET
/api/v1/crypto/tokens

Authorization

x-api-key
x-api-key<token>

In: header

Query Parameters

orderBy?string

How to order the tokens

Default"marketCap"

Value in

  • "marketCap"
  • "chainId"
orderDir?string

Direction of the ordering, ascending or descending.

Default"desc"

Value in

  • "asc"
  • "desc"
search?string

Search a token by its address, name or symbol

filterByChainId?number

Only show tokens from a certain chain. Supported chains:

  • Arbitrum One: 42161
  • Avalanche: 43114
  • Base: 8453
  • BNB Smart Chain: 56
  • Ethereum: 1
  • Gnosis: 100
  • OP Mainnet: 10
  • Polygon: 137
  • X Layer Mainnet: 196
  • Robinhood Chain: 4663
  • Bitcoin: 0
  • Stellar: -1
filterWhitelist?boolean

Filter results by the project whitelist, setting to false returns all tokens supported by Notus API

page?integer

Page to return, the "perPage" amount will influence what and how pages are returned

Range1 <= value <= 9007199254740991
Default1
perPage?integer

Amount of tokens returned per page

Range1 <= value <= 100
Default10
projectId?string

The projectId you want to know the whitelist

Response Body

application/json

curl -X GET "https://example.com/api/v1/crypto/tokens"
{  "tokens": [    {      "id": "1370x1BFD67037B42Cf73acF2047067bd4F2C47D9BfD6",      "address": "0x1BFD67037B42Cf73acF2047067bd4F2C47D9BfD6",      "name": "Wrapped Bitcoin",      "symbol": "WBTC",      "coingeckoId": "wrapped-bitcoin",      "decimals": 8,      "logo": "https://wbtclogo.com",      "marketCap": 45445843627,      "chain": {        "id": 137,        "name": "POLYGON",        "logo": "https://logopolygon.com"      },      "isWhitelistedInProject": true,      "rwaProvider": "ONDO"    }  ],  "page": 5,  "totalPerPage": 25,  "total": 482}